namespace aaa
{

    class Program
    {
        public static void Main(string[] args)
        {
            int[] niz2023 = Console.ReadLine().Split(' ').Select(x => int.Parse(x)).ToArray();
            int[] niz2022 = Console.ReadLine().Split(' ').Select(x => int.Parse(x)).ToArray();
            if (niz2022[0] == niz2023[0] && niz2022[1] != niz2023[1]){
                Console.WriteLine("drugi");
                return;
            }
            else if (niz2022[0] != niz2023[0] && niz2022[1] == niz2023[1]) {
                Console.WriteLine("prvi");
                return;
            }
            else if (niz2022[0] == niz2023[0] && niz2022[1] == niz2023[1]){
                Console.WriteLine("nijedan");
                return;
            }
            else
                Console.WriteLine("?");
        }
    }
}